%define builtin_release_version 3
%define builtin_release_name "Quartet"
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_version %{?release_version}%{!?release_version:%{builtin_release_version}}
%define real_release_name %{?release_name}%{!?release_name:%{builtin_release_name}}
%define beta_release ""
Summary: Asianux release file
Name: asianux-release
Version: 3.0
Release: 6AX
License: GPL
Source1: RPM-GPG-KEY
Source2: EULA.ja
Source3: EULA.zh_CN
Source4: README
Source5: EULA
Source6: GPL
Source7: INSTALLATION
Source8: RPM-GPG-KEY-x86_64
Source9: README-x86_64
Source10:INSTALLATION-x86_64
Source11: RPM-GPG-KEY-ppc
Source12: README-ppc
Source13: INSTALLATION-ppc
Source14: supportinfo
Source15: EULA.ko
Source16: EULA.zh_TW
Source17: asianux-splash.xpm.gz
Source18: RPM-GPG-KEY-ia64
Source19: README-ia64
Source20: INSTALLATION-ia64
Source21: asianux-ia32.repo 
Source22: asianux-ia64.repo
Source23: asianux-ppc.repo
Source24: asianux-x86_64.repo
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i386 x86_64 ppc ia64

%description
Asianux release file

%prep

%install
mkdir -p $RPM_BUILD_ROOT/etc
mkdir -p $RPM_BUILD_ROOT/etc/yum.repos.d
echo "Asianux Server %{builtin_release_version} (%{real_release_name})%{beta_release}" > $RPM_BUILD_ROOT/etc/%{name}
cp $RPM_BUILD_ROOT/etc/%{name} $RPM_BUILD_ROOT/etc/issue
echo "Kernel \r on an \m" >> $RPM_BUILD_ROOT/etc/issue
cp $RPM_BUILD_ROOT/etc/issue $RPM_BUILD_ROOT/etc/issue.net
echo >> $RPM_BUILD_ROOT/etc/issue
mkdir -p $RPM_BUILD_ROOT//usr/share/doc/%{name}
mkdir -p $RPM_BUILD_ROOT/var/lib
%ifarch i386
	cp -f %{SOURCE1} $RPM_BUILD_ROOT//usr/share/doc/%{name}
        cp -f %{SOURCE21} $RPM_BUILD_ROOT/etc/yum.repos.d/asianux.repo
%else
	cp -f %{SOURCE1} $RPM_BUILD_ROOT//usr/share/doc/%{name}/RPM-GPG-KEY.ia32
%endif
cp -f %{SOURCE2} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE3} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE4} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE5} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE6} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE7} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE15} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE16} $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE14} $RPM_BUILD_ROOT/var/lib/
%ifarch x86_64
	cp -f %{SOURCE8} $RPM_BUILD_ROOT//usr/share/doc/%{name}/RPM-GPG-KEY
	cp -f %{SOURCE9} $RPM_BUILD_ROOT//usr/share/doc/%{name}/README
	cp -f %{SOURCE10} $RPM_BUILD_ROOT//usr/share/doc/%{name}/INSTALLATION
        cp -f %{SOURCE24} $RPM_BUILD_ROOT/etc/yum.repos.d/asianux.repo
%endif
%ifarch ppc
	cp -f %{SOURCE11} $RPM_BUILD_ROOT//usr/share/doc/%{name}/RPM-GPG-KEY
	cp -f %{SOURCE12} $RPM_BUILD_ROOT//usr/share/doc/%{name}/README
	cp -f %{SOURCE13} $RPM_BUILD_ROOT//usr/share/doc/%{name}/INSTALLATION
        cp -f %{SOURCE23} $RPM_BUILD_ROOT/etc/yum.repos.d/asianux.repo
%endif
%ifarch ia64
	cp -f %{SOURCE18} $RPM_BUILD_ROOT//usr/share/doc/%{name}/RPM-GPG-KEY
	cp -f %{SOURCE19} $RPM_BUILD_ROOT//usr/share/doc/%{name}/README
	cp -f %{SOURCE20} $RPM_BUILD_ROOT//usr/share/doc/%{name}/INSTALLATION
        cp -f %{SOURCE22} $RPM_BUILD_ROOT/etc/yum.repos.d/asianux.repo
%endif
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig

mkdir -p $RPM_BUILD_ROOT/boot/grub
install -m 644 %{SOURCE17} $RPM_BUILD_ROOT/boot/grub/splash.xpm.gz


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0644,root,root) /etc/%{name}
%config %attr(0644,root,root) /etc/issue
%config %attr(0644,root,root) /etc/issue.net
%attr(0644,root,root) /usr/share/doc/%{name}/RPM-GPG-KEY
%ifarch x86_64 ia64
%attr(0644,root,root) /usr/share/doc/%{name}/RPM-GPG-KEY.ia32
%endif
%attr(0644,root,root) /usr/share/doc/%{name}/README
%attr(0644,root,root) /usr/share/doc/%{name}/EULA
%attr(0644,root,root) /usr/share/doc/%{name}/EULA.ko
%attr(0644,root,root) /usr/share/doc/%{name}/EULA.ja
%attr(0644,root,root) /usr/share/doc/%{name}/EULA.zh_CN
%attr(0644,root,root) /usr/share/doc/%{name}/EULA.zh_TW
%attr(0644,root,root) /usr/share/doc/%{name}/GPL
%attr(0644,root,root) /usr/share/doc/%{name}/INSTALLATION
%attr(0644,root,root) /var/lib/supportinfo
%attr(0644,root,root) /etc/yum.repos.d/asianux.repo

%attr(0644,root,root) /boot/grub/splash.xpm.gz
%ifarch ia64
%exclude /boot/grub/splash.xpm.gz
%endif

%changelog
* Wed Jul 25 2007 Hua Jie <jiehua@redflag-linux.com> 3.0-6AX
- update README and INSTALLATION for AS3

* Sat Jun 30 2007 Pang Dawei <dwpang@redflag-linux.com> 3.0-5AX
- add the asianux.repo for system-config-kickstart yum repository

* Tue Jun 28 2007 Nam, Kwonwoo <kwnam@haansoft.com> 3.0-4AX
- change asianux-splash.xpm.gz

* Thu May 24 2007 Hua Jie <jiehua@redflag-linux.com> 3.0-3AX
- changed to Asianux Server 3

* Thu Apr 05 2007 Hua Jie <jiehua@redflag-linux.com> 3.0-2AX
- change codename to Quartet.

* Tue Feb 06 2007 Hua Jie <jiehua@redflag-linux.com> 3.0-1AX
- update for Asianux 3.0

* Wed Nov 29 2006 Jun YOSHIDA <jun@miraclelinux.com> 2.0-13AX
- updated documents for Asianux 2.0 ServicePack 2

* Tue May 16 2006 Hua Jie <jiehua@redflag-linux.com> 2.0-12AX
- provide RPM-GPG-KEY.sp1 in IA64.

* Wed Apr 12 2006 Hua Jie <jiehua@redflag-linux.com> 2.0-11AX
- provide RPM-GPG-KEY.ia32 in IA64.

* Tue Apr 11 2006 Jun YOSHIDA <jun@miraclelinux.com> 2.0-10AX
- replaced release string for Trinity SP1.
- replaced README file.

* Fri Sep 09 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-9AX
- add documents for IA64 version.

* Tue Aug 2 2005 Jun YOSHIDA <jun@miraclelinux.com> 2.0-8AX
- for AX2.0 RC.

* Mon Jul 25 2005 Jun YOSHIDA <jun@miraclelinux.com> 2.0-7AX
- for beta7

* Wed Jun 29 2005 Nam, Kwonwoo <kwnam@haansoft.com> 2.0-6AX
- add grub splash image

* Wed May 25 2005 Shiro Yamada <shiro@miraclelinux.com> 2.0-5AX
- update Japanese EULA

* Thu May 13 2005 Ni Zhixin <zxni@redflag-linux.com> 2.0-4AX
- add EULA.ko EULA.zh_CN EULA.zh_TW

* Thu May 12 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-3AX
- modify README and INSTALLATION

* Fri Apr 29 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-2AX
- add supportinfo for asianux-support-check

* Wed Mar 16 2005 Hua Jie <jiehua@redflag-linux.com> 2.0-1AX
- rebuild for Asianux 2.0

* Mon Jan 10 2005 Hua Jie <jiehua@redflag-linux.com> 1.0-21AX
- add README-x86_64 and INSTALLATION-x86_64 for x86_64
- modify README and INSTALLATION for SP1

* Mon Dec 20 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-20AX
- reuild for update1

* Mon Dec 13 2004 Zhixin Ni <zxni@redflag-linux.com> 1.0-19AX
- remove the redundant character in Chinese version statement.

* Wed Nov 24 2004 Shiro Yamada <shiro@miraclelinux.com> 1.0-18AX
- replace RPM-GPG-KEY for x86_64 with a valid one
- add RPM-GPG-KEY.ia32 for x86_64

* Tue Sep 28 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-17AX
- modify that i386 and x86_64 can use different RPM-GPG-KEY

* Wed May 26 2004 Zhixin Ni <zxni@redflag-linux.com> 1.0-16AX
- modified EULA, add a "space" between indicates and that

* Thu May 20 2004 Seiichi IKARASHI <ikarashi@miraclelinux.com> 1.0-15AX
- modified EULA.ja

* Thu May 20 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-14AX
- replaced EULA.
- added EULA.ja and EULA.zh_CN.

* Thu May 20 2004 Tatsuo Ito <tito@miraclelinux.com> 1.0-13AX
- modify README and INSTALLATION

* Thu May 20 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-12AX
- removed RELEASE-NOTES from this package.

* Wed Apr 28 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-11AX
- updated RELEASE-NOTES.

* Fri Apr 23 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-10AX
- removed beta string from release file.

* Wed Apr 21 2004 Seiichi IKARASHI <ikarashi@miraclelinux.com> 1.0-9AX
- added INSTALLATION.

* Wed Apr 7 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-8AX
- removed sys.dat.

* Wed Apr 7 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-7AX
- added a tips about nfs in RELEASE-NOTES.

* Wed Apr 7 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-6AX
- replaced some documents such as EULA, README and so on.

* Tue Apr 6 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-5AX
- for beta3.

* Thu Mar 25 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-4AX
- change some documents for beta2.
- add a file sys.dat for temporary.

* Mon Mar 22 2004 Jun YOSHIDA <jun@miraclelinux.com> 1.0-3AX
- for beta2.

* Thu Mar 11 2004 Hua Jie <jiehua@redflag-linux.com> 1.0-2AX
- add some documents.

* Wed Jan 14 2004 Hua Jie <jiehua@redflag-linux.com>
- create the package.
